/* 
--  WELCOME to example01 for the Super DMX Shield (Version 1 C) By Daniel Hirschmann
--  The example uses the DmxSimple Library which was deceloped by tinkerit
--  and can be found here: http://code.google.com/p/tinkerit/
--  Questions regarding the library? http://groups.google.com/group/dmxsimple   
--  Questions regarding the Super DMX Shield? email d@plankman.com

-- Your SUPER DMX SHIELD has the following features:
-- 1.  DMX output on digital pin 12
-- 2.  Digital INPUT (Switch) on digital pin 8
-- 3.  ANALOG input on A0 BUT PLEASE NOTE: 
--        To use this, you have to connect the V+ to either 3.3V or 5V
--        Its easy though, if you find the VSEL / A0 pin, 
--        Then simply make a connection from that to whichever voltage your analog sensor needs!

--  This example controls an RGB DMX Light from channel 1 to 3
--  The brightness shifts on all of the channels either up or down.

-- More info:   www.technologywillsaveus.com
                www.hirschandmann.com/DMX             
*/
#include <DmxSimple.h>

int totalChannels = 3;

int r = 255;
int g = 128;
int b = 0;

void setup() {
  DmxSimple.usePin(12);              // Enable DMX library to use the SUPER DMX SHIELD data pin
  DmxSimple.maxChannel(totalChannels);          // Let the library know how many DMX channels it should be addressing (its addressable DMX universe size)
  Serial.begin(9600);
}

void loop() 
{
  

  b++;              //Increment the BLUE channel
  if (b>255) b=0;   //If it goes above 255 then set it to 0

  g-=2;                //Decrease the GREEN Channel by 2
  if (g<=0) g = 255;   //If it goes below 0, then set it back up to 255

  r++;              //Increment the RED channel by 3
  if (r>255) r=0;   //If it goes above 255, then set it to 0
  
  DmxSimple.write(1,r);  //SET Channel 1 to be the RED value
  DmxSimple.write(2,g);  //SET Channel 2 to be the GREEN value
  DmxSimple.write(3,b);  //SET Channel 3 to be the BLUE value
  delay(20);      //DELAY 20 milliseconds before looping again from the top.
}



